Zscaler on Arch Linux

I install Zscaler on Arch Linux but its not opening
zsaservice service is active

Tigran - have you checked to see if the dependant packages installed automatically? If not, you may need to manually install them with the command below:

sudo apt install net-tools libqt5dbus5 libqt5core5a libqt5sql5 libqt5sql5-sqlite 
libqt5webchannel5 libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 
libqt5webkit5 libqt5webview5 libqt5widgets5 libnss3-tools  libpcap ca-certificates -y

If that still doesn’t work, you may want to go to: Zscaler Help Portal - Linux ZCC Install, and choose an alternative method of installation. This of course assumes Arch is a supported form of Linux for the ZCC software.

You may also want to confirm there were no installation errors. If so, a newer release addresses some possible installation issues. Let me know the version you are installing and if there were specific installation errors and I can put you in touch with the appropriate person in support to get a download link to an updated version of ZCC.

Hi @mharris30
there were no errors during installation
I use Zscaler-linux-1.1.0.24 version

If there are no errors, there is no guarantee the newer version will fix your issue but I’ve provided the link in case the issue lies elsewhere and just not evident. ZCC for Linux v1.3.0.31

There is also a ZCC for Linux thread on this community you can refer to for additional information.

I tried that but again nothing
file /opt/zscaler/bin/ZSTray not created after installation

Hey @mharris30
I was finally able to do it

  • Need to install prerequisite dependencies for Arch Linux
  • Install run file sudo ./Zscaler-linux-<version number>-installer.run
  • Move the ZSTray file to /opt/zscaler/bin/ in this directory which I took from debian linux after installation
  • Give permissions to that file sudo chmod a+x /opt/zscaler/bin/ZSTray

and run application

Great to hear! Thanks for the detailed explanation.

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.